#if !defined(AFX_CULTURALPANEL_H__0ABA899A_68FE_4C86_A5EB_535C3ADAF786__INCLUDED_)
#define AFX_CULTURALPANEL_H__0ABA899A_68FE_4C86_A5EB_535C3ADAF786__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CulturalPanel.h : header file
//
namespace Stuff
{
	class Page;
};

/////////////////////////////////////////////////////////////////////////////
// CCulturalPanel dialog

class CCulturalPanel : public CDialog
{
// Construction
public:
	CCulturalPanel(CWnd* pParent = NULL);   // standard constructor
	void WriteEntries(Stuff::Page *page,CString cultpath);

// Dialog Data
	//{{AFX_DATA(CCulturalPanel)
	enum { IDD = IDD_CULTURAL_PANEL };
	CButton	m_TGABrowseACon;
	CButton	m_TGABrowseBCon;
	CButton	m_TGABrowseCCon;
	CEdit	m_FadeStartCon;
	CEdit	m_FadeEndCon;
	CButton	m_ErfBrowseA1Con;
	CButton	m_ErfBrowseA2Con;
	CButton	m_ErfBrowseA3Con;
	CButton	m_ErfBrowseB1Con;
	CButton	m_ErfBrowseB2Con;
	CButton	m_ErfBrowseB3Con;
	CButton	m_ErfBrowseC1Con;
	CButton	m_ErfBrowseC2Con;
	CButton	m_ErfBrowseC3Con;
	CEdit	m_ERFA1Con;
	CEdit	m_ERFA2Con;
	CEdit	m_ERFA3Con;
	CEdit	m_ERFB1Con;
	CEdit	m_ERFB2Con;
	CEdit	m_ERFB3Con;
	CEdit	m_ERFC1Con;
	CEdit	m_ERFC2Con;
	CEdit	m_ERFC3Con;
	CButton	m_BillBoardA1Con;
	CButton	m_BillBoardA2Con;
	CButton	m_BillBoardA3Con;
	CButton	m_BillBoardB1Con;
	CButton	m_BillBoardB2Con;
	CButton	m_BillBoardB3Con;
	CButton	m_BillBoardC1Con;
	CButton	m_BillBoardC2Con;
	CButton	m_BillBoardC3Con;
	CEdit	m_TGAACon;
	CEdit	m_TGABCon;
	CEdit	m_TGACCon;
	CString	m_TGAA;
	CString	m_TGAB;
	CString	m_TGAC;
	float	m_FadeEnd;
	float	m_FadeStart;
	BOOL	m_sayYestoCulturals;
	BOOL	m_billboardA1;
	BOOL	m_billboardA2;
	BOOL	m_billboardA3;
	BOOL	m_billboardB1;
	BOOL	m_billboardB2;
	BOOL	m_billboardB3;
	BOOL	m_billboardC1;
	BOOL	m_billboardC2;
	BOOL	m_billboardC3;
	CString	m_ERFA1;
	CString	m_ERFA2;
	CString	m_ERFA3;
	CString	m_ERFB1;
	CString	m_ERFB2;
	CString	m_ERFB3;
	CString	m_ERFC1;
	CString	m_ERFC2;
	CString	m_ERFC3;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCulturalPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCulturalPanel)
	afx_msg void OnErfbrowsea1();
	afx_msg void OnErfbrowsea2();
	afx_msg void OnErfbrowsea3();
	afx_msg void OnErfbrowseb1();
	afx_msg void OnErfbrowseb2();
	afx_msg void OnErfbrowseb3();
	afx_msg void OnErfbrowsec1();
	afx_msg void OnErfbrowsec2();
	afx_msg void OnErfbrowsec3();
	afx_msg void OnTgabrowsea();
	afx_msg void OnTgabrowseb();
	afx_msg void OnTgabrowsec();
	afx_msg void OnCulturalyesno();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CULTURALPANEL_H__0ABA899A_68FE_4C86_A5EB_535C3ADAF786__INCLUDED_)
